package com.zhiwei.manage.bean;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

@Document(collection = "Message")
public class Message implements Serializable {


	@Indexed
	@Id
	private String messageId;
	@Field
	private String tempName;
	private Date createDate;
	private String errorMsg;
	private int templateLv;
	private String templateCreator;
	private boolean handle;
	private Date handleDate;
	private String handler;
	private String pt;
	private String handleMsg;
	private String errorType;
	
	public String getErrorType() {
		return errorType;
	}
	public void setErrorType(String errorType) {
		this.errorType = errorType;
	}
	public String getHandleMsg() {
		return handleMsg;
	}
	public void setHandleMsg(String handleMsg) {
		this.handleMsg = handleMsg;
	}
	public String getPt() {
		return pt;
	}
	public void setPt(String pt) {
		this.pt = pt;
	}
	public String getMessageId() {
		return messageId;
	}
	public void setMessageId(String messageId) {
		this.messageId = messageId;
	}
	public String getTempName() {
		return tempName;
	}
	public void setTempName(String tempName) {
		this.tempName = tempName;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public String getErrorMsg() {
		return errorMsg;
	}
	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}
	public int getTemplateLv() {
		return templateLv;
	}
	public void setTemplateLv(int templateLv) {
		this.templateLv = templateLv;
	}
	public String getTemplateCreator() {
		return templateCreator;
	}
	public void setTemplateCreator(String templateCreator) {
		this.templateCreator = templateCreator;
	}
	public boolean isHandle() {
		return handle;
	}
	public void setHandle(boolean handle) {
		this.handle = handle;
	}
	public Date getHandleDate() {
		return handleDate;
	}
	public void setHandleDate(Date handleDate) {
		this.handleDate = handleDate;
	}
	public String getHandler() {
		return handler;
	}
	public void setHandler(String handler) {
		this.handler = handler;
	}
	@Override
	public String toString() {
		return "Message [messageId=" + messageId + ", tempName=" + tempName + ", createDate=" + createDate
				+ ", errorMsg=" + errorMsg + ", templateLv=" + templateLv + ", templateCreator=" + templateCreator
				+ ", handle=" + handle + ", handleDate=" + handleDate + ", handler=" + handler + ", pt=" + pt
				+ ", handleMsg=" + handleMsg + "]";
	}
}
